[arch-commits] CVS update of core/base/e2fsprogs (Makefile-fsck.static.patch PKGBUILD)

Tom Killian tom at archlinux.org
Tue Dec 11 12:27:23 EST 2007


    Date: Tuesday, December 11, 2007 @ 12:27:23
  Author: tom
    Path: /home/cvs-core/core/base/e2fsprogs

Modified: Makefile-fsck.static.patch (1.1 -> 1.2) PKGBUILD (1.35 -> 1.36)

upgpkg: e2fsprogs 1.40.3-1


----------------------------+
 Makefile-fsck.static.patch |    6 +++---
 PKGBUILD                   |   18 ++++++++----------
 2 files changed, 11 insertions(+), 13 deletions(-)


Index: core/base/e2fsprogs/Makefile-fsck.static.patch
diff -u core/base/e2fsprogs/Makefile-fsck.static.patch:1.1 core/base/e2fsprogs/Makefile-fsck.static.patch:1.2
--- core/base/e2fsprogs/Makefile-fsck.static.patch:1.1	Sun Dec 11 03:20:42 2005
+++ core/base/e2fsprogs/Makefile-fsck.static.patch	Tue Dec 11 12:27:23 2007
@@ -1,6 +1,6 @@
---- Makefile	2005-12-10 15:13:58.000000000 +0100
-+++ Makefile.neu	2005-12-10 15:18:18.000000000 +0100
-@@ -343,6 +343,10 @@
+--- e2fsprogs-1.40.3/misc/Makefile	2007-12-11 12:23:52.000000000 +0000
++++ e2fsprogs-1.40.3/misc/Makefile.neu	2007-12-11 12:23:00.000000000 +0000
+@@ -368,6 +368,10 @@
  	@echo "	LD $@"
  	@$(CC) $(ALL_LDFLAGS) -o fsck $(FSCK_OBJS) $(LIBS_BLKID) $(LIBINTL)
  
Index: core/base/e2fsprogs/PKGBUILD
diff -u core/base/e2fsprogs/PKGBUILD:1.35 core/base/e2fsprogs/PKGBUILD:1.36
--- core/base/e2fsprogs/PKGBUILD:1.35	Sun Dec  2 22:17:24 2007
+++ core/base/e2fsprogs/PKGBUILD	Tue Dec 11 12:27:23 2007
@@ -1,8 +1,9 @@
-# $Id: PKGBUILD,v 1.35 2007/12/03 03:17:24 dan Exp $
+# $Id: PKGBUILD,v 1.36 2007/12/11 17:27:23 tom Exp $
 # Maintainer: judd <jvinet at zeroflux.org>
+
 pkgname=e2fsprogs
-pkgver=1.40.2
-pkgrel=3
+pkgver=1.40.3
+pkgrel=1
 pkgdesc="Ext2 filesystem utilities"
 arch=('i686' 'x86_64')
 license=('GPL' 'LGPL' 'MIT')
@@ -12,20 +13,17 @@
 makedepends=('bc')
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz
 	Makefile-fsck.static.patch)
-md5sums=('130ce559a0f311ea2bc04a47b4982d0a'
-         'c1a2bb194edff3f2acbd9973606b229f')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   ./configure --prefix=/usr --with-root-prefix="" --enable-elf-shlibs
   # add fsck.static for mkinitrd use
-  cd ${startdir}/src/${pkgname}-${pkgver}/misc/
-  patch -Np0 -i ${startdir}/src/Makefile-fsck.static.patch || return 1
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np1 -i ../Makefile-fsck.static.patch || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install install-libs
-  cd ${startdir}/src/${pkgname}-${pkgver}/misc
-  make fsck.static
+  make -C ${startdir}/src/${pkgname}-${pkgver}/misc fsck.static || return 1
   install -D -m755 ${startdir}/src/${pkgname}-${pkgver}/misc/fsck.static  ${startdir}/pkg/sbin/fsck.static
   sed -i -e 's/^AWK=.*/AWK=awk/' ${startdir}/pkg/usr/bin/compile_et || return 1
 }
+md5sums=('ad7ff4da7e200b9b25df58dc39989053'
+         '8b8e6e35d4dc505b492aee9d617b3858')




More information about the arch-commits mailing list